#include "testlib.h"

int main(int argc, char** argv) {
    registerGen(argc, argv, 1);

    int minN = atoi(argv[1]);
    int maxN = atoi(argv[2]);
    int answer = atoi(argv[3]);

    while (true) {
      int a = rnd.next(minN, maxN);
      int b = rnd.next(minN, maxN);
      int c = rnd.next(minN, maxN);
      int good = int(a + b >= c && a + c >= b && b + c >= a);
      if (answer == good) {
        std::cout << a << ' ' << b << ' ' << c << std::endl;
        break;
      }
    }

    return 0;
}
